# Privacy Policy for *CreatureChat API* & *Token Shop*

## 1. Introduction
This Privacy Policy outlines the types of information collected and recorded by the CreatureChat API, Token Shop, and
how we use it. This policy applies to our use of all data collected by us in relation to your use of CreatureChat API 
services. 

**We collect no information from the CreatureChat mod when using OpenAI API keys, Local LLMs, or other API services.**

## 2. Information We Collect
- **Discord Data:** We collect your Discord username and ID to facilitate service delivery, key generation, and maintain usage statistics.
- **Payment Data:** Payment transactions are processed via [FastSpring](https://fastspring.com/purchasing-through-fastspring/). We do not store credit card details, email, phone number, or any personally identifiable financial information on our servers. Please review the FastSpring [Terms and Conditions](https://fastspring.com/legal/terms-sale/) and [Privacy](https://fastspring.com/privacy/) policies for details on how your financial data is processed and stored.
- **Chat Data:** We temporarily collect chat message data in order to process the request through our LLM provider, log errors, and return chat completions to the user.

## 3. Use of Your Information
We use the information we collect from you to:
- Deliver services purchased and manage your account.
- Communicate with you, only as necessary for the provision of our services.
- Enhance and improve our services and customer support.

## 4. Storage of Your Information
- **Data Storage:** We store CreatureChat API keys, usage statistics, and metadata in order to fulfill the services.
- **Security:** All data transmissions are secured via SSL/HTTPS. Data flows securely from FastSpring to AWS, and then to Discord as part of our operational processes.

## 5. Sharing of Your Information
- **Service Providers:** We use OpenAI for natural language model requests and may use other similar providers in the future. Data necessary for these operations may be shared with these providers as required to fulfill the services.
- **Legal Requirements:** We may disclose our data if required by law or if we believe in good faith that such action is necessary to comply with legal processes.

## 6. Data Retention
We retain your information only for as long as necessary to provide you with our services and as described in 
this Privacy Policy.

## 7. Your Rights
You have the right to request access to or deletion of your personal information held by us. Please contact us 
at [privacy@owlmaddie.com](mailto:privacy@owlmaddie.com) if you wish to exercise these rights.

## 8. Changes to Our Privacy Policy
We reserve the right to make changes to this Privacy Policy at any time. Such changes will be posted on our 
website and are effective immediately upon posting.

## 9. Contact Us
If you have any questions or concerns about our Privacy Policy, please contact us at 
[privacy@owlmaddie.com](mailto:privacy@owlmaddie.com).

By using our services, you acknowledge that you have read and understood this Privacy Policy and agree to its terms.
