# Terms of Service for CreatureChat

## 1. Acceptance of Terms
By purchasing a Key to the CreatureChat API or using the creaturechat.com API URL, you agree to be bound by these 
terms and conditions ("Terms"). Users utilizing their own OpenAI keys or CreatureChat keys must adhere to the 
[OpenAI Terms of Use](https://openai.com/terms/). If you do not agree to all of these Terms, do not use or 
access the CreatureChat services.

## 2. Description of Service
CreatureChat is a Minecraft mod, owned and operated by owlmaddie, LLC, a Texas-based company. The mod enhances 
gameplay by enabling creatures within Minecraft to respond using natural language processing capabilities. 
This service leverages OpenAI's APIs, among potentially other LLM providers, to enable these capabilities. 
**CreatureChat is not affiliated with or endorsed by Minecraft, Microsoft, or Mojang.**

## 3. Use of Service
- You agree not to misuse the CreatureChat services provided through creaturechat.com. Misuse includes, but is not limited to, attempting to break the language model, generating harmful or offensive content, or manipulating prompts to cause malfunction.
- **Privacy and Security:** You agree not to transmit any private or sensitive information through CreatureChat, including but not limited to credit card numbers, financial information, phone numbers, contact information, mailing addresses, API keys (CreatureChat or OpenAI), usernames, passwords, or any other sensitive information.
- You are responsible for all activities conducted through your account and compliance with these Terms.

## 4. Eligibility and User Responsibilities
- You must be at least the minimum age required to access and use Discord and Minecraft and meet the minimum age required by the laws in your country. By agreeing to these Terms, you represent and warrant that you are of legal age to form a binding contract and meet all of the foregoing eligibility requirements.
- Users are also required to follow the [Minecraft Terms of Use](https://www.minecraft.net/terms) and the [Discord Terms of Service](https://discord.com/terms) when using their respective services in conjunction with CreatureChat.

## 5. User Conduct
You agree not to use the CreatureChat services to:
- Conduct any illegal activities.
- Transmit viruses, malware, or any other malicious or destructive code.
- Harass, threaten, or defraud other users.
- Post or transmit any content that is infringing, libelous, defamatory, obscene, pornographic, abusive, offensive, or otherwise violates any law or right of any third party.

## 6. Rights to Change Service Provider
We reserve the right to switch from OpenAI to another language model provider at any point. This change will not 
affect the terms under which you have purchased or used the CreatureChat API keys.

## 7. Refunds and Expiration Policy
- All purchases of CreatureChat API keys and tokens are final and non-refundable. We do not offer refunds for any transactions made through our services.
- CreatureChat API keys and tokens expire 36 months from the date of purchase. Users must use their keys and tokens within this time frame as any unused keys and tokens will be forfeited upon expiration.
- Gameplay Hours Disclaimer: Estimated gameplay hours are based on average usage during our tests. Actual playtime may vary depending on individual play styles and token usage.

## 8. Intellectual Property
All rights, title, and interest in and to the CreatureChat services, including all associated intellectual property 
rights, are owned by owlmaddie, LLC or our licensors.

## 9. No Warranty
The CreatureChat mod and services are provided "as is" without warranties of any kind, either express or implied. 
We do not guarantee that the service will be uninterrupted or error-free.

## 10. Limitation of Liability
In no event will we be liable for any direct, indirect, incidental, special, consequential, or exemplary damages 
arising from your use of CreatureChat.

## 11. Indemnification
You agree to indemnify, defend, and hold harmless owlmaddie, LLC, its affiliates, officers, agents, employees, and 
partners from any claims, damages, obligations, losses, liabilities, costs or debt, and expenses (including but not 
limited to attorney’s fees) arising from: your use of and access to the CreatureChat Service; your violation of 
any term of these Terms of Service; your violation of any third-party right, including without limitation any 
copyright, trademark, right of publicity, or other property right; or any claim that your content caused damage 
to a third party.

## 12. Dispute Resolution
All disputes related to these Terms will be resolved by arbitration in accordance with the rules of the 
American Arbitration Association. The arbitration shall take place in Texas, and the arbitral decision may 
be enforced in any court of competent jurisdiction.

## 13. Changes to Terms
We reserve the right to modify these Terms at any time. Your continued use of CreatureChat after such changes have 
been posted will constitute your acceptance of these changes.

## 14. Governing Law
These Terms shall be governed by and construed in accordance with the laws of the State of Texas, USA.

## 15. Contact Information
If you have any questions about these Terms, please contact us at [terms@owlmaddie.com](mailto:terms@owlmaddie.com).

By using the CreatureChat API and creaturechat.com URL, you acknowledge that you have read and understood these 
Terms and agree to be bound by them.
